[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.SetSpacing

Sets the value for the Spacing property.

## Declaration

Source position: buttons.pp line 392

`protected procedure TCustomSpeedButton.SetSpacing(`
`const Value: Integer`
`);`

## Arguments

`Value` |  | New value for the property.

## Description

SetSpacing specifies the spacing used between adjacent controls. Calls InvalidatePreferredSize to recalculate the preferred height and width for the control. AdjustSize is called to perform smart (delayed) resizing when needed. Invalidate is called to redraw the control.

## Version info

Modified in LCL version 4.0 to recalculate preferred size and resize the control when the property is changed.

## See also

TCustomSpeedButton.Spacing |  | Spacing between the Glyph bitmap and the Caption for the control.
TControl.InvalidatePreferredSize |  | Marks the preferred size as invalid for this control and all parents (implies that we will look for another).
TControl.AdjustSize |  | Smart way to DoAutoSize.
TControl.Invalidate |  | Causes a delayed Repaint of the control by marking its visible area of the control as invalid.